package model

const (
	paymentsCollection              = "payments"
	telegramConfirmationsCollection = "telegram_confirmations"
	pendingConfirmationsCollection  = "pending_confirmations"
	treasuryRequestsCollection      = "treasury_requests"
	treasuryTelegramUsersCollection = "treasury_telegram_users"
)

func (*PaymentRecord) Collection() string {
	return paymentsCollection
}

func (*TelegramConfirmation) Collection() string {
	return telegramConfirmationsCollection
}

func (*PendingConfirmation) Collection() string {
	return pendingConfirmationsCollection
}

func (*TreasuryRequest) Collection() string {
	return treasuryRequestsCollection
}

func (*TreasuryTelegramUser) Collection() string {
	return treasuryTelegramUsersCollection
}
